org.jbpm.kie.services.impl.query.persistence

## Class PersistDataSetListener

- java.lang.Object
- - org.jbpm.kie.services.impl.query.persistence.PersistDataSetListener

- All Implemented Interfaces:
    org.dashbuilder.dataset.def.DataSetDefRegistryListener
  Direct Known Subclasses:
    PersistDataSetCDIListener

      public class PersistDataSetListener
      extends Object
      implements org.dashbuilder.dataset.def.DataSetDefRegistryListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistDataSetListener()`
    `PersistDataSetListener(TransactionalCommandService commandService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected QueryDefinitionEntity` | `get(org.dashbuilder.dataset.def.DataSetDef def)`
    `void` | `onDataSetDefModified(org.dashbuilder.dataset.def.DataSetDef oldDef, org.dashbuilder.dataset.def.DataSetDef newDef)`
    `void` | `onDataSetDefRegistered(org.dashbuilder.dataset.def.DataSetDef newDef)`
    `void` | `onDataSetDefRemoved(org.dashbuilder.dataset.def.DataSetDef oldDef)`
    `void` | `onDataSetDefStale(org.dashbuilder.dataset.def.DataSetDef def)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistDataSetListener

          public PersistDataSetListener()

    - #### PersistDataSetListener

          public PersistDataSetListener(TransactionalCommandService commandService)

  - ### Method Detail

    - #### onDataSetDefStale

          public void onDataSetDefStale(org.dashbuilder.dataset.def.DataSetDef def)

      Specified by:
        `onDataSetDefStale` in interface `org.dashbuilder.dataset.def.DataSetDefRegistryListener`

    - #### onDataSetDefModified

          public void onDataSetDefModified(org.dashbuilder.dataset.def.DataSetDef oldDef,
                                           org.dashbuilder.dataset.def.DataSetDef newDef)

      Specified by:
        `onDataSetDefModified` in interface `org.dashbuilder.dataset.def.DataSetDefRegistryListener`

    - #### onDataSetDefRegistered

          public void onDataSetDefRegistered(org.dashbuilder.dataset.def.DataSetDef newDef)

      Specified by:
        `onDataSetDefRegistered` in interface `org.dashbuilder.dataset.def.DataSetDefRegistryListener`

    - #### onDataSetDefRemoved

          public void onDataSetDefRemoved(org.dashbuilder.dataset.def.DataSetDef oldDef)

      Specified by:
        `onDataSetDefRemoved` in interface `org.dashbuilder.dataset.def.DataSetDefRegistryListener`

    - #### get

          protected QueryDefinitionEntity get(org.dashbuilder.dataset.def.DataSetDef def)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.